Drupal 10 deprecation errors

Filter errors
All occurences Affected projects Sort descending Occurs in a top X project by usage Category Message
1 1 50 Symfony API Parameter $event of method Drupal​\​webform_entity_print​\​EventSubscriber​\​WebformEntityPrintRequestSubscriber::requestSetViewMode() has typehint with deprecated class Symfony​\​Component​\​HttpKernel​\​Event​\​GetResponseEvent: since Symfony 4.3, use RequestEvent instead
1 1 50 Drupal API, not rector covered Call to deprecated constant FILE_INSECURE_EXTENSION_REGEX: Deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. Use Drupal​\​Core​\​File​\​FileSystemInterface::INSECURE_EXTENSION_REGEX.
1 1 50 Symfony API Parameter $event of method Drupal​\​webform​\​EventSubscriber​\​WebformExceptionHtmlSubscriber::on403() has typehint with deprecated class Symfony​\​Component​\​HttpKernel​\​Event​\​GetResponseForExceptionEvent: since Symfony 4.3, use ExceptionEvent instead
1 1 50 Symfony API Parameter $event of method Drupal​\​webform​\​EventSubscriber​\​WebformExceptionHtmlSubscriber::on403RedirectPrivateFileAccess() has typehint with deprecated class Symfony​\​Component​\​HttpKernel​\​Event​\​GetResponseForExceptionEvent: since Symfony 4.3, use ExceptionEvent instead
1 1 50 Symfony API Parameter $event of method Drupal​\​webform​\​EventSubscriber​\​WebformExceptionHtmlSubscriber::on403RedirectEntityAccess() has typehint with deprecated class Symfony​\​Component​\​HttpKernel​\​Event​\​GetResponseForExceptionEvent: since Symfony 4.3, use ExceptionEvent instead
1 1 50 Symfony API Parameter $event of method Drupal​\​webform​\​EventSubscriber​\​WebformExceptionHtmlSubscriber::redirectToLogin() has typehint with deprecated class Symfony​\​Component​\​HttpKernel​\​Event​\​GetResponseForExceptionEvent: since Symfony 4.3, use ExceptionEvent instead
1 1 50 Other problem #post_render callback array{'​\​​\​Drupal​\​​\​address…', 'postRender'} at key '0' is not callable.
1 1 50 Other problem #access_callback callback '#access_callback' at key '0' is not callable.
1 1 50 Other problem The "#lazy_builder" expects a callable array with arguments.
1 1 50 Other problem The "#post_render" render array value expects an array of callbacks.
5 1 50 Drupal API, not rector covered Call to deprecated method verbose() of class Drupal​\​Tests​\​webform​\​Functional​\​WebformBrowserTestBase. Deprecated in drupal:9.2.0 and is removed from drupal:10.0.0. Use dump() instead.
1 1 50 Drupal API, not rector covered Passing context values to plugins via configuration is deprecated in drupal:9.1.0 and will be removed before drupal:10.0.0. Instead, call ::setContextValue() on the plugin itself. See https://www.drupal.org/node/3120980
1 1 50 Twig API The spaceless tag in "modules/contrib/webform/templates/webform-element-help.html.twig" at line 16 is deprecated since Twig 2.7, use the "spaceless" filter with the "apply" tag instead. See https://drupal.org/node/3071078.
1 1 50 Twig API The spaceless tag in "modules/contrib/webform/templates/webform-progress-bar.html.twig" at line 20 is deprecated since Twig 2.7, use the "spaceless" filter with the "apply" tag instead. See https://drupal.org/node/3071078.
1 1 50 Frontend API The 'webform.ajax' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.announce' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.confirmation.modal' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.contextual' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.element.more' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.tooltip' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.form' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.form.submit_once' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.form.tabs' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.form.unsaved' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.wizard.pages' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.wizard.track' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.element.ajax' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.element.checkboxes' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.element.choices' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256
1 1 50 Frontend API The 'webform.element.chosen' library is depending on a deprecated library. The core/jquery.once asset library is deprecated in Drupal 9.3.0 and will be removed in Drupal 10.0.0. Use the core/once library instead. See https://www.drupal.org/node/3158256


Results are from dataset #8203 from 2022-11-20T16:30. Report is ran by the Drupal Association regularly.